Avro C++

Public Member Functions | Static Public Member Functions | List of all members
avro::NullValidator Class Reference
Inheritance diagram for avro::NullValidator:

## Public Member Functions
| NullValidator (const ValidSchema &schema)
void | setCount (int64_t)
void | checkTypeExpected (Type)
void | checkFixedSizeExpected (int)

## Static Public Member Functions
static bool | typeIsExpected (Type)
static Type | nextTypeExpected ()
static int | nextSizeExpected ()
static bool | getCurrentRecordName (std::string &name)
static bool | getNextFieldName (std::string &name)

The documentation for this class was generated from the following file:

- api/Validator.hh